package studio.junk.jam.coloritum.entities.components;

import com.badlogic.ashley.core.Component;
import com.badlogic.ashley.core.ComponentMapper;
import com.badlogic.gdx.graphics.g2d.Sprite;
import com.badlogic.gdx.graphics.g2d.TextureRegion;

public class SpriteComponent implements Component {
	public static final ComponentMapper<SpriteComponent> mapper = ComponentMapper.getFor(SpriteComponent.class);

	public final Sprite sprite;

	public SpriteComponent(TextureRegion texture) {
		this.sprite = new Sprite(texture);
		sprite.setSize(1f, 1f);
	}

	public SpriteComponent(Sprite sprite) {
		this.sprite = sprite;
		sprite.setSize(1f, 1f);
	}

}
